class AssignedGroup {

    PersonGroup personGroup
    Task task
    Integer estimatedHour = 0
    Integer estimatedMinute = 0

    static constraints = {
        task()
        personGroup()
        estimatedHour(min:0)
        estimatedMinute(min:0,max:59)
    }

    String toString() {
        "${personGroup.name} - ${estimatedHour}h : ${estimatedMinute}min"
    }
}
